//
// main.h
//

void ShowPreview(Boolean wait);

#define REMOVE_ALL_EVENTS	 0

#define	MAX_SURFACES				50


		/* C FUNCTIONS */
		
#ifdef __cplusplus
extern "C" {
#endif

	void PluginEntry(void);
	void Maya_TraverseDAG(void);
	
	OSErr Maya_GetLayersInfo(void);
	OSErr Maya_ExtractFacesAndMaterials(void);
	void Maya_GetCurrentFileName(Str255 filename);
	void MayaDisplayMessage(char *s);
	void MayaDisplayError(char *s);


#ifdef __cplusplus
}
#endif


#define	MAX_LAYERS					40
#define	MAX_OBJECTS_IN_LAYER		200

typedef struct
{
	Str255	name;
	Boolean	isVisible;
	
	int		numMembers;
	Str255	memberNames[MAX_OBJECTS_IN_LAYER];

}LayerInfoType;
